<?php

/**
 * Override Visual Composer's column shortcode output to be more compatible
 * with the Bunyad column shortcode.
 * 
 * Changes:
 *  1. Removes wpb_wrapper
 * 
 * Code from WPBakery Visual Composer
 */


$output = $font_color = $el_class = $width = $offset = '';

extract(shortcode_atts(array(
	'font_color'      => '',
    'el_class' => '',
    'width' => '1/1',
    'css' => '',
	'offset' => ''
), $atts));

$el_class = $this->getExtraClass($el_class);
$width = wpb_translateColumnWidthToSpan($width);
$width = vc_column_offset_class_merge($offset, $width);
$el_class .= ' wpb_column vc_column_container';

$style = $this->buildStyle( $font_color );

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $width . $el_class . vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$output .= "\n\t".'<div class="'. esc_attr($css_class) .'"' . esc_attr($style) .'>';
$output .= "\n\t\t\t".wpb_js_remove_wpautop($content);
$output .= "\n\t".'</div> '.$this->endBlockComment($el_class) . "\n";

echo $output;